com.google.gwt.animation.client.testing

## Class StubAnimationScheduler.StubAnimationHandle

- java.lang.Object
- - com.google.gwt.animation.client.AnimationScheduler.AnimationHandle
  - - com.google.gwt.animation.client.testing.StubAnimationScheduler.StubAnimationHandle

Enclosing class:
  StubAnimationScheduler

    public class StubAnimationScheduler.StubAnimationHandle
    extends AnimationScheduler.AnimationHandle

A handle to the requested animation frame created by `AnimationScheduler.requestAnimationFrame(AnimationCallback, Element)`.

### Constructor Summary

Constructors
Constructor and Description
`StubAnimationHandle(AnimationScheduler.AnimationCallback callback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()` Cancel the requested animation frame.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StubAnimationHandle

    public StubAnimationHandle(AnimationScheduler.AnimationCallback callback)

### Method Detail

#### cancel

    public void cancel()

Description copied from class: `AnimationScheduler.AnimationHandle`
Cancel the requested animation frame. If the animation frame is already canceled, do nothing.

Specified by:
  `cancel` in class `AnimationScheduler.AnimationHandle`